CVE-2021-1789

Name
CVE-2021-1789
Description
A type confusion issue was addressed with improved state handling. This issue is fixed in macOS Big Sur 11.2, Security Update 2021-001 Catalina, Security Update 2021-001 Mojave, tvOS 14.4, watchOS 7.3, iOS 14.4 and iPadOS 14.4, Safari 14.0.3. Processing maliciously crafted web content may lead to arbitrary code execution.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Release Notes https://support.apple.com/en-us/HT212146
Release Notes https://support.apple.com/en-us/HT212152
Release Notes https://support.apple.com/en-us/HT212149
Release Notes https://support.apple.com/en-us/HT212147
Release Notes https://support.apple.com/en-us/HT212148
Third Party Advisory https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/L3L6ZZOU5JS7E3RFYGLP7UFLXCG7TNLU/
Third Party Advisory https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/JN6ZOD62CTO54CHTMJTHVEF6R2Y532TJ/
GENTOO https://security.gentoo.org/glsa/202104-03

Match rules

CPE URI Source package Min version Max version
cpe:2.3:o:apple:ipados:*:*:*:*:*:*:*:* ipados >= None < 14.4
cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:* iphone_os >= None < 14.4
cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:* mac_os_x >= 10.14 < 10.14.6
cpe:2.3:o:apple:mac_os_x:10.14.6:-:*:*:*:*:*:* mac_os_x == None == 10.14.6
cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:* mac_os_x >= 10.15 < 10.15.7
cpe:2.3:o:apple:mac_os_x:10.15.7:-:*:*:*:*:*:* mac_os_x == None == 10.15.7
cpe:2.3:o:apple:macos:*:*:*:*:*:*:*:* macos >= 11.0 < 11.2
cpe:2.3:o:apple:tvos:*:*:*:*:*:*:*:* tvos >= None < 14.4
cpe:2.3:o:apple:watchos:*:*:*:*:*:*:*:* watchos >= None < 7.3

Vulnerable and fixed packages

Source package Branch Version Maintainer Status